Publish Bundle to Google Play
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Publish Bundle to Google Play action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Publish Android App Bundle",
"disabled": true,
"type": "ANDROID_PUBLISH_APP_BUNDLE",
"trigger_time": "ON_EVERY_EXECUTION",
"integration": {
"identifier": "euyxwcxbtr",
"name": "slskopytko",
"type": "GOOGLE_PLAY_STORE",
"scope": "WORKSPACE"
},
"application_id": "package-name",
"variables": [
{
"key": "env_key",
"value": "env_value",
"type": "VAR",
"settable": false,
"run_only_settable": false,
"encrypted": false,
"description": "popbtdrugc"
}
],
"track": "rollout",
"user_fraction": 0.1,
"changes_path": "/assets/Controller.php",
"supersede_versions": true,
"apk_files": [
{
"apk_path": "bundle",
"main_expansion_path": "main-file",
"patch_expansion_path": "patch-file"
}
],
"draft": true,
"timeout": 1800,
"retry_interval": 60,
"retry_count": 5,
"ignore_errors": true,
"current_revision": "21825f31ddce8a89b3ed9f4c92f038b339cde150",
"loop": [
"env_key"
]
}'STATUS200 OK